package com.cmeeting.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmeeting.pojo.RecordTemplatePermission;
import com.cmeeting.vo.RecordTemplateVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface RecordTemplatePermissionService extends IService<RecordTemplatePermission> {
    boolean auth(RecordTemplateVO.TemplatePermissionVO vo);

    List<RecordTemplateVO.PermissionItem> authList(RecordTemplateVO.TemplateAuthVO vo);

    String testGenerate(MultipartFile file,Integer meetingInstId,String content);

    void testMinutesExport(String recordJson,Integer meetingInstId, Integer id, HttpServletResponse response);
}
